<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddScheduleIdToTacticsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('tactic_container', function (Blueprint $table) {
            $table->uuid('schedule_id')->after('str-2');
            $table->foreign('schedule_id')->references('UUID')->on('schedule');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tactics', function (Blueprint $table) {
            //
        });
    }
}
