@include('includes.admin.header')
@include('includes.admin.sidebar')
<script>
    $(document).ready(function(){
        $('#position-menu').addClass('active');
    });
</script>
<script src='/colorpicker/spectrum.js'></script>
<link rel='stylesheet' href='/colorpicker/spectrum.css' />
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Settings
            </h1>
            <ol class="breadcrumb">
                <li><a href="/admin"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Settings</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header with-border">
                            <h3 class="box-title">General Settings</h3>
                        </div><!-- /.box-header -->
                        <form class="form-horizontal" id='profile-form'>
                            <div class="error" style="display: none">
                            </div>
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Name</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='name' id="name" placeholder="Name" value="{{$profile['name']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Email</label>
                                    <div class="col-sm-9">
                                        <input type="email" class="form-control" name='email' id="email" placeholder="Email" value="{{$profile['email']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Contact Person</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='contact_person' id="contact_person" placeholder="Contact Person" value="{{$profile['contact_person']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Contact Email</label>
                                    <div class="col-sm-9">
                                        <input type="email" class="form-control" name='contact_person_email' id="contact_email" placeholder="Contact Email" value="{{$profile['contact_person_email']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Contact Phone</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='contact_person_phone' id="contact_phone" placeholder="Contact Phone" value="{{$profile['contact_person_phone']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Decision Proposals Expiry Days</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='decision_proposal_expiry_days' id="decision_proposal_expiry_days" placeholder="Decision Proposals Expiry Days" value="{{$profile['decision_proposal_expiry_days']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Tactics Proposals Expiry Days</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='tactics_proposal_expiry_days' id="tactics_proposal_expiry_days" placeholder="Tactics Proposals Expiry Days" value="{{$profile['tactics_proposal_expiry_days']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Player Proposal Expiry Date</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='player_proposal_expiry_days' id="player_proposal_expiry_days" placeholder="Player Proposal Expiry Date" value="{{$profile['player_proposal_expiry_days']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Player Evaluation Days limit</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='player_evaluation_days_limit' id="player_evaluation_days_limit" placeholder="Player Evaluation Days limit" value="{{$profile['player_evaluation_days_limit']}}" />
                                    </div>
                                </div>
                                 <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Tactics Days limit</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='tactics_days_limit' id="tactics_days_limit" placeholder="Tactics Days limit" value="{{$profile['tactics_days_limit']}}" />
                                    </div>
                                </div>
                                
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Live Proposal Hour limit</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='live_proposal_limit' id="live_proposal_limit" placeholder="Live Proposal Limit" value="{{$profile['live_proposal_limit']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Hide poll results</label>
                                    <div class="col-sm-9">
                                        {!! Form::select('hide_poll_results', ['0' => 'No', '1' => 'Yes'], $profile->hide_poll_results, ['class' => 'form-control'])!!}
                                       
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">First Expiry Notification (Before Days)</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='first_expiry_notification_days_before' id="first_expiry_notification_days_before" placeholder="First Expiry Notification (Before Days)" value="{{$profile['first_expiry_notification_days_before']}}" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Second Expiry Notification (Before Days)</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='second_expiry_notification_days_before' id="second_expiry_notification_days_before" placeholder="Second Expiry Notification (Before Days)" value="{{$profile['second_expiry_notification_days_before']}}" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Match Notification (Hours Before)</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name='match_notification_hours_before' id="match_notification_hours_before" placeholder="Match Notification (Hours Before)" value="{{$profile['match_notification_hours_before']}}" />
                                    </div>
                                </div>
                                
                                
                                <h3>
                                    Colour Settings
                                </h3>
                                
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Header bg Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control"  id="header_bg_color" name='header_bg_color' value="{{$profile['header_bg_color']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Menu bg Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id='menu_bg_color' name='menu_bg_color'  value="{{$profile['menu_bg_color']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Menu Text Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id='menu_text_color' name='menu_text_color' value="{{$profile['menu_text_color']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Background Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id='bg_color' name='bg_color' value="{{$profile['bg_color']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Footer bg Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id='footer_bg_color' name='footer_bg_color' value="{{$profile['footer_bg_color']}}" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Footer text Colour</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id='footer_text_color' name='footer_text_color' value="{{$profile['footer_text_color']}}" />
                                    </div>
                                </div>
                                
                                <button type='button' id='reset-colors' class='btn btn-success'>Reset Colours</button>

                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button type="reset" class="btn btn-default">Cancel</button>
                                <button type="button" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                            </div><!-- /.box-footer -->
                         </form>
                        
                        
                        <div class="box-header with-border">
                            <h3 class="box-title">File Uploads</h3>
                        </div><!-- /.box-header -->
                        {!! Form::open(['class' => 'form-horizontal', 'method' => 'post', 'files' => true, 'url' => '/admin/company/details/attachments']) !!}
                            @if ($errors->any())
                            <div class='error'>
                                {{ implode('', $errors->all(':message')) }}
                            </div>
                            @endif
                            <div class="box-body">
                                
                                <div class="form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}" />
                                    <label for="inputname3" class="col-sm-2 control-label">Default Goal Keeper</label>
                                    <div class="col-sm-9">
                                        @if ($goalKeeper != null)
                                        <img src="/uploads/goalKeeper/{{$goalKeeper}}" style="width:200px" />
                                        @endif
                                        <input type="file" class="form-control" name='default_goal_keeper' id="default_goal_keeper" />
                                    </div>
                                    <label for="inputname3" class="col-sm-2 control-label">Default Tshirt</label>
                                    <div class="col-sm-9">
                                        @if ($profile['default_tshirt'] != null)
                                        <img src="/uploads/player/{{$profile['default_tshirt']}}" style="width:200px" />
                                        @endif
                                        <input type="file" class="form-control" name='default_tshirt' id="default_tshirt" />
                                    </div>
                                    <label for="inputname3" class="col-sm-2 control-label">Background Image</label>
                                    <div class="col-sm-9">
                                        @if ($profile['default_background'] != null)
                                        <img src="/uploads/background-image/{{$profile['default_background']}}" style="width:200px" />
                                        @endif
                                        <input type="file" class="form-control" name='default_background' id="default_background" />
                                    </div>
                                </div>

                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button type="reset" class="btn btn-default">Cancel</button>
                                <button type="submit" class="btn btn-info pull-right" id='btn-submit'>Upload Files</button>
                            </div><!-- /.box-footer -->
                        {!! Form::close() !!}
                        
                    </div><!-- /.box -->


                </div><!-- /.col -->

            </div><!-- /.row -->
          
        </section><!-- /.content -->
    </div><!-- /.content-wrapper -->
      
    <script>
        
        
        $("#header_bg_color").spectrum({
            preferredFormat: "hex",
        });
                $("#menu_bg_color").spectrum({preferredFormat: "hex"});
                $("#menu_text_color").spectrum({preferredFormat: "hex"});
                $("#bg_color").spectrum({preferredFormat: "hex"});
                $("#footer_bg_color").spectrum({preferredFormat: "hex"});
                $("#footer_text_color").spectrum({preferredFormat: "hex"});

        
        
        
        $(document).ready(function(){
            
            $('#reset-colors').click(function(){
                $('#header_bg_color').val('#062f3c');
                $("#header_bg_color").spectrum({
                    color: "#062f3c",
                    preferredFormat: "hex"
                });
                $('#menu_bg_color').val('#ee6123');
                $("#menu_bg_color").spectrum({
                    color: "#ee6123",
                    preferredFormat: "hex"
                });
                $('#menu_text_color').val('#fff');
                $("#menu_text_color").spectrum({
                    color: "#fff",
                    preferredFormat: "hex"
                });
                $('#bg_color').val('#fff');
                $("#bg_color").spectrum({
                    color: "#fff",
                    preferredFormat: "hex"
                });
                $('#footer_bg_color').val('#062f3c');
                $("#footer_bg_color").spectrum({
                    color: "#062f3c",
                    preferredFormat: "hex"
                });
                $('#footer_text_color').val('#fff');
                $("#footer_text_color").spectrum({
                    color: "#fff",
                    preferredFormat: "hex"
                });
            })
            
            $('#btn-submit').click(function(){
                var current  = $(this);
                var data = new Object();

                current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                var data = $("#profile-form").serializeArray();
                $.post('/admin/company/details',{data:data, "_token": "{{ csrf_token() }}"}, function(res, status){

                    alert('Profile Updated Successfully');
                    $('.error').html('Profile Updated Successfully').show();
                    current.removeAttr('disabled').text('Submit');
                    window.location.href = '#body';
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    $(res).each(function(i, value){
                        html+= '<p>' + value + '</p>';
                    });
                    $('.error').html(html).show();
                    $('#btn-submit').html('Submit').removeAttr('disabled');
                    window.location.href = '#body';
                },'json');;
            });

            $('.each-player-holder').click(function(){

                if($(this).hasClass('selected-field-column'))
                {
                    $(this).removeClass('selected-field-column');
                }
                else
                {
                    var numItems = $('.selected-field-column').length;
                    console.log(numItems);
                    if(numItems == 11)
                    {
                        alert("You can add only a maximum of 11 players");
                        return;
                    }
                    $(this).addClass('selected-field-column');
                }
            });
        });
    </script>
@include('includes.admin.footer')