@include('includes.admin.header')
@include('includes.admin.sidebar')
<style>
    .each-player-holder .player-area-schedule
    {
        position : absolute;
        color:darkblue !important;
        top : 0px;
    }
    
    .each-player-holder, .player-area-schedule
    {
        height : 120px;
    }
    </style>
      
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Formation Proposal
            <small>From Formation Proposal</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Formation Proposal</a></li>
            <li class="active">Formation Proposal</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                  <div class="error col-xs-12" style="display: none">
                      
                  </div>
                <div class="box-header with-border">
                    <h3 class="box-title col-xs-12"><span class="pull-left">Add players for a schedule</span></h3>
                </div><!-- /.box-header -->
                <div class="col-xs-12 hcenter" id="loading">
                    <img src="/images/loading.gif" />
                </div>
                           <div class='col-xs-12 no-padding' id="main-content" style="display: none"> 
                    <div class='col-xs-12 col-sm-4 pull-left no-padding left-side-player-container' style="display:none">
                        @if($players->count() > 0)
                            @foreach($players AS $player)
                                <div class='col-xs-12 player-area-schedule ' id="each-player-{{$player['UUID']}}" data-player-id="{{$player['UUID']}}" draggable="true"
            ondragstart="return dragStart(event)">
                                    <div class='col-xs-12 col-sm-4 player-img-container' >
                                        <img src='/uploads/player/{{$player['photo']}}' class='col-xs-12 no-padding' id="img-{{$player['UUID']}}"/>
                                    </div>
                                    <div class='col-xs-12 col-sm-8 player-det' id="player-det-{{$player['UUID']}}">
                                        <div class='col-xs-12 player-name' style="font-size: 16px">{{$player['name']}}</div>
                                        <div class='col-xs-12 player-position' style="font-size: 14px;font-weight: normal">{{$player['playerPosition']['name']}}</div>
                                    </div>
                                </div>
                            @endforeach
                        @endif
                    </div>
                    <div class='col-xs-12 pull-right' id="football-field"style="overflow: auto;">
                        <div class='col-xs-12 no-padding' style="height: 70vh;overflow: auto;background-color: green">
                        <?php
                        $count = 0;
                        for($i = 0; $i <49; $i++)
                        {
                        ?>
                        <div class="each-player-holder" id="field-position-<?php echo $count++ ?>" data-id="{{$count}}" style="">
                            <span>{{$count}}</span>
                        </div>
                        <?php
                        }
                        ?>
                        </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </section>
</div>

<script>
          $(document).ready(function(){
              $.get('/admin/positions/columns/all', function(res){
                  $('.each-player-holder').attr('style','background-color:grey');
                  $('.each-player-holder').append('<span class="col-xs-12 position-desc-area" style="font-size:8px">Position not specified</span>');
                  $(res).each(function(i, value){
                        $('[data-id=' + value.column_count + ']').attr('style','background-color:green');
                        $('[data-id=' + value.column_count + ']').find('.position-desc-area').text(value.position.name);
                        $('[data-id=' + value.column_count + ']').attr('data-position_id', value.position_id);
                        $('[data-id=' + value.column_count + ']').attr('data-position_count_id', value.UUID);
                    });
                    getCurrentlyAddedPlayers('{{$UUID}}');
                    
              });
             $('#btn-save').click(function(){
                var columns = new Object();
                 $('.each-player-holder').each(function(){
                   
                    if($(this).find('.player-area-schedule').length > 0)
                    {
                        columns[$(this).find('.player-area-schedule').attr('data-schedule_players_id')] = $(this).find('select').val();
                        
                    }
                 });
                 
                 $.post('/api/v1/schedule/{{$UUID}}/players/save', {columns:columns, "_token": "{{ csrf_token() }}"}, function(res){
                     alert(res);
                     //window.location.href = '/admin/schedule';
                 },'json')
                 .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;;
             });
          });
          
          function getCurrentlyAddedPlayers(UUID)
          {
              $.get('/admin/formations/suggestions/' + UUID + '/players/get',function(res){
                  var count = 1;
                  $(res).each(function(i,value){
                      var playerID = value.player_id;
                      var newDiv = '';
                      newDiv = $('[data-player-id=' + playerID + ']').clone();
                      newDiv.attr('data-schedule_players_id', value.UUID);
                      $('[data-position_count_id=' + value.position_columns_id + ']').append(newDiv);
                      $('.left-side-player-container').find('[data-player-id=' + playerID + ']').remove();
                    });
              });
              
              $('#main-content').show();
            $('#loading').hide();
          }
          </script>
	 <!-- content-section-ends -->
@include('includes.admin.footer')